services:
  contract.order_filter:
    parent: 'api_platform.doctrine.orm.order_filter'
    arguments:
      $properties: { id: ~, title: ~, document.name: ~, createdAt: ~ }
      $orderParameterName: order
    tags: [ 'api_platform.filter' ]

  contract.global_search_filter:
    parent: 'api.filter.global_search_filter'
    arguments:
      $properties: [
        'title',
        'document.name',
      ]
    tags: [ 'api_platform.filter' ]

  contract.search_filter:
    parent: 'api_platform.doctrine.orm.search_filter'
    arguments: [ { id: 'exact', title: 'partial' } ]
    tags:  [ 'api_platform.filter' ]